Fedora 30: snapd-glib FEDORA-2019-b6612c5fe5

    Date12 Jul 2019
    CategoryFedora
    286
    Posted ByLinuxSecurity Advisories
    #### Update to v1.48 * New API: - `snapd_client_get_connections_async` - `snapd_client_get_connections_finish` - `snapd_client_get_connections_sync` - `snapd_client_get_interfaces2_async` - `snapd_client_get_interfaces2_finish` - `snapd_client_get_interfaces2_sync` - `snapd_client_get_snap_conf_async`
    --------------------------------------------------------------------------------
    Fedora Update Notification
    FEDORA-2019-b6612c5fe5
    2019-07-13 01:06:05.995897
    --------------------------------------------------------------------------------
    
    Name        : snapd-glib
    Product     : Fedora 30
    Version     : 1.48
    Release     : 1.fc30
    URL         : https://github.com/snapcore/snapd-glib
    Summary     : Library providing a GLib interface to snapd
    Description :
    snapd-glib is a library that provides an interface to communicate
    with snapd for GLib based applications.
    
    --------------------------------------------------------------------------------
    Update Information:
    
    #### Update to v1.48  * New API:       - `snapd_client_get_connections_async`
    - `snapd_client_get_connections_finish`       -
    `snapd_client_get_connections_sync`       - `snapd_client_get_interfaces2_async`
    - `snapd_client_get_interfaces2_finish`       -
    `snapd_client_get_interfaces2_sync`       - `snapd_client_get_snap_conf_async`
    - `snapd_client_get_snap_conf_finish`       - `snapd_client_get_snap_conf_sync`
    - `snapd_client_set_snap_conf_async`       - `snapd_client_set_snap_conf_finish`
    - `snapd_client_set_snap_conf_sync`       - `snapd_connection_get_gadget`
    - `snapd_connection_get_interface`       - `snapd_connection_get_manual`       -
    `snapd_connection_get_plug`       - `snapd_connection_get_plug_attribute`
    - `snapd_connection_get_plug_attribute_names`       -
    `snapd_connection_get_slot`       - `snapd_connection_get_slot_attribute`
    - `snapd_connection_get_slot_attribute_names`       -
    `snapd_connection_has_plug_attribute`       -
    `snapd_connection_has_slot_attribute`       - `snapd_interface_get_doc_url`
    - `snapd_interface_get_name`       - `snapd_interface_get_plugs`       -
    `snapd_interface_get_slots`       - `snapd_interface_get_summary`       -
    `snapd_markdown_node_get_children`       - `snapd_markdown_node_get_node_type`
    - `snapd_markdown_node_get_text`       - `snapd_markdown_parser_new`       -
    `snapd_markdown_parser_get_combine_whitespace`       -
    `snapd_markdown_parser_parse`       -
    `snapd_markdown_parser_set_combine_whitespace`       -
    `snapd_plug_get_connected_slots`       - `snapd_plug_ref_get_plug`       -
    `snapd_plug_ref_get_snap`       - `snapd_slot_get_connected_plugs`       -
    `snapd_slot_ref_get_slot`       - `snapd_slot_ref_get_snap`       -
    `SNAPD_ERROR_OPTION_NOT_FOUND` * Deprecated API:       -
    `snapd_client_get_interfaces_async`       - `snapd_client_get_interfaces_finish`
    - `snapd_client_get_interfaces_sync`       - `snapd_connection_get_name`       -
    `snapd_connection_get_snap`       - `snapd_plug_get_connections`       -
    `snapd_slot_get_connections` * Allow searching via common-id * Add a description
    markdown parser * Replace `SnapdConnection` with `SnapdPlugRef` and
    `SnapdSlotRef` * Support updated connections API (`/v2/connections`) * Support
    updated `/v2/interfaces&select=` API * Support snap configuration API * Add Qt
    interface attribute API * Make `snapd_client_set_socket_path` revert to the
    default when `NULL` passed. * Fix C99 mode not being enabled on older versions
    of GCC
    --------------------------------------------------------------------------------
    ChangeLog:
    
    * Thu Jul 11 2019 Neal Gompa  - 1.48-1
    - Update to 1.48
    - Many new APIs added
    - Allow searching via common-id
    - Add a description markdown parser
    - Replace SnapdConnection with SnapdPlugRef and SnapdSlotRef
    - Support updated connections API (/v2/connections)
    - Support updated /v2/interfaces&select= API
    - Support snap configuration API
    - Add Qt interface attribute API
    - Make snapd_client_set_socket_path revert to the default when NULL passed.
    - Fix C99 mode not being enabled on older versions of GCC
    --------------------------------------------------------------------------------
    References:
    
      [ 1 ] Bug #1718466 - snapd-glib-1.48 is available
            https://bugzilla.redhat.com/show_bug.cgi?id=1718466
      [ 2 ] Bug #1706019 - CVE-2019-11503 snapd-glib: snapd: remote attacker able to bypass security restriction [fedora-all]
            https://bugzilla.redhat.com/show_bug.cgi?id=1706019
    --------------------------------------------------------------------------------
    
    This update can be installed with the "dnf" update program. Use
    su -c 'dnf upgrade --advisory FEDORA-2019-b6612c5fe5' at the command
    line. For more information, refer to the dnf documentation available at
    http://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label
    
    All packages are signed with the Fedora Project GPG key. More details on the
    GPG keys used by the Fedora Project can be found at
    https://fedoraproject.org/keys
    --------------------------------------------------------------------------------
    _______________________________________________
    package-announce mailing list -- This email address is being protected from spambots. You need JavaScript enabled to view it.
    To unsubscribe send an email to This email address is being protected from spambots. You need JavaScript enabled to view it.
    Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
    List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
    List Archives: https://lists.fedoraproject.org/archives/list/This email address is being protected from spambots. You need JavaScript enabled to view it.
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    Do you read our distribution advisories on a regular basis?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /component/communitypolls/?task=poll.vote&format=json
    23
    radio
    [{"id":"84","title":"Yes, for a single distribution","votes":"0","type":"x","order":"1","pct":0,"resources":[]},{"id":"85","title":"Yes, for multiple distributions","votes":"6","type":"x","order":"2","pct":60,"resources":[]},{"id":"86","title":"No","votes":"4","type":"x","order":"3","pct":40,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.